# Get list of heartbeat for all devices

Endpoint: GET /v2/heartbeat/
Version: 1.0.0
Security: apiKey

## Query parameters:

  - `last_seen_gt` (string, required)
    Specify the starting date and time for device lookup in the format (2023-08-29T00:00:00Z).
    Example: "2023-08-29T00:00:00Z"

  - `last_seen_lt` (string, required)
    Specify the end date and time for device lookup in the format (2023-08-30T00:00:00Z).
    Example: "2023-08-30T00:00:00Z"

  - `platform` (string)
    platform of the device
    Enum: "ANDROID", "APPLE", "LINUX", "WINDOWS"

  - `limit` (integer)

  - `offset` (integer)

## Response 200 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `content` (object)

  - `content.count` (integer)

  - `content.prev` (string)

  - `content.next` (string)

  - `content.results` (array)

  - `content.results.device_id` (string)
    UUID of the device

  - `content.results.timestamp` (string)
    Last seen time stamp of the device

  - `content.results.status` (integer)
    Legacy field representing whether the device was last seen in the last 30 minutes (returns 1) or not (returns 0).
    Enum: 0, 1

## Response 400 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 500 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


